%define name	natpad
%define version	1.4

Summary:	Textpad clone for Linux/GTK
Summary(de):	Textpadklon für Linux/GTK
Name:		%name
Version:	%version
Release:	%mkrel 2
License:	GPLv3
Group:		Editors
URL:		natpad.spec
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}gtk+3.0-devel
Requires:	GConf2
Requires:	iso-codes

%description
Natpad is a text editor which supports most standard editor features,
extending this basic functionality with other features not usually
found in simple text editors. natpad is a graphical application which
supports editing multiple text files in one window.

%description -l de
Natpad ist ein Texteditor, welcher die meisten Standardeditorfunktionen
unterstützt, wobei diese Funktionen um weitere ergänzt wurden. Natpad
ist ein grafisches Programm, welches das Editieren mehrerer  Textfelder 
in einem Fenster erlaubt.


%prep
%setup -q

%build
export JAVA_HOME=/usr/lib/jvm/java

chmod +x build.sh
./build.sh linux build
%install
rm -rf %buildroot


mkdir -p %buildroot%_bindir
install -m 755 %{name}/build/%{name} %buildroot/%_bindir/%{name}

mkdir -p %buildroot/%_datadir/applications
install -m 644 natpad-builder/src/rpm/%{name}.desktop %buildroot/%_datadir/applications/%{name}.desktop

mkdir -p %buildroot/%_datadir/natpad/config
install -m 644 natpad/config/Douwe.syn %buildroot/%_datadir/natpad/config/Douwe.syn
install -m 644 natpad/config/Java.syn %buildroot/%_datadir/natpad/config/Java.syn

# icon
mkdir -p %buildroot/%_datadir/pixmaps
install -m 644 natpad-builder/src/icons/natpad_* %buildroot/%_datadir/pixmaps/

# doc files
mkdir -p %buildroot/%_docdir/%name
install -m 644 %{name}/docs/* %buildroot/%_docdir/%name

# fix desktop file
sed -i 's/Terminal=false;/Terminal=false/g' %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
  --remove-category="Utility:TextEditor" \
  --remove-category="Gnome" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%post


%postun

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc LICENSE README
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/natpad/config/Douwe.syn
%_datadir/natpad/config/Java.syn
%_datadir/pixmaps/%{name}*.xpm


%changelog
* Sun Dec 02 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4-2pclos2012
- fixed 64bit Requires

* Thu Nov 29 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4-1pclos2012
- 1.4
- added german summary and description
- added xz compression
- added build process
- renamed spec to pclos-natpad.spec
- added doc files and fix for desktop file

* Sun Aug 23 2009 Texstar <texstar@gmail.com> 0.6-1pclos2009
- create

